Package org.eclipse.cdt.core.parser

# Class ParserFactory

java.lang.Object
org.eclipse.cdt.core.parser.ParserFactory

public class ParserFactory extends Object

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ParserFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IParserLogService`
`createDefaultLogService()`
`static Set<String>`
`getKeywordSet(KeywordSetKey key, ParserLanguage language)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserFactory

public ParserFactory()

## Method Details

### createDefaultLogService

public static IParserLogService createDefaultLogService()

### getKeywordSet

public static Set<String> getKeywordSet(KeywordSetKey key, ParserLanguage language)